r7875 - in trunk/BOOK: . introduction/important server/mail

randy at linuxfromscratch.org randy at linuxfromscratch.org
Sun Jul 26 09:09:20 PDT 2009


Author: randy
Date: 2009-07-26 10:09:20 -0600 (Sun, 26 Jul 2009)
New Revision: 7875

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/important/building-notes.xml
   trunk/BOOK/server/mail/sendmail.xml
Log:
Added an entity to use if current sources are required to build a package

Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2009-07-26 15:30:22 UTC (rev 7874)
+++ trunk/BOOK/general.ent	2009-07-26 16:09:20 UTC (rev 7875)
@@ -58,10 +58,10 @@
      relates to the version of LFS it will build/work against -->
 <!ENTITY lfs65_checked        "<para>This package is known to build and work properly
                                using an LFS-6.5 platform.</para>">
-<!-- <!ENTITY lfs65_needs_update   "<para>This package is known to build and work properly
+<!ENTITY lfs65_needs_update   "<para>This package is known to build and work properly
                                using an LFS-6.5 platform if you use current package
-                               sources. See <xref linkend="package_updates"/>
-                               for more information.</para>"> -->
+                               sources. See <xref linkend='package_updates'/>
+                               for more information.</para>">
 <!-- End special entities about LFS compatibility -->
 
 <!-- Part II -->

Modified: trunk/BOOK/introduction/important/building-notes.xml
===================================================================
--- trunk/BOOK/introduction/important/building-notes.xml	2009-07-26 15:30:22 UTC (rev 7874)
+++ trunk/BOOK/introduction/important/building-notes.xml	2009-07-26 16:09:20 UTC (rev 7875)
@@ -338,4 +338,25 @@
 
   </sect2>
 
+  <sect2 id="package_updates">
+    <title>Using the Most Current Package Sources</title>
+
+    <para>On occasion you may run into a situation in the book when a package
+    will not build or work properly. Though the Editors attempt to ensure
+    that every package in the book builds and works properly, sometimes a
+    package has been overlooked or was not tested with this particular version
+    of BLFS.</para>
+
+    <para>If you discover that a package will not build or work properly, you
+    should see if there is a more current version of the package. Typically
+    this means you go to the maintainer's web site and download the most current
+    tarball and attempt to build the package. If you cannot determine the
+    maintainer's web site by looking at the download URLs, use Google and query
+    the package's name. For example, in the Google search bar type:
+    'package_name download' (omit the quotes) or something similar. Sometimes
+    typing: 'package_name home page' will result in you finding the
+    maintainer's web site.</para>
+
+  </sect2>
+
 </sect1>

Modified: trunk/BOOK/server/mail/sendmail.xml
===================================================================
--- trunk/BOOK/server/mail/sendmail.xml	2009-07-26 15:30:22 UTC (rev 7874)
+++ trunk/BOOK/server/mail/sendmail.xml	2009-07-26 16:09:20 UTC (rev 7875)
@@ -32,6 +32,8 @@
     <para>The <application>Sendmail</application> package contains a Mail
     Transport Agent (MTA).</para>
 
+    &lfs65_needs_update;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>




More information about the blfs-book mailing list